Get Nsx Configuration

Get Nsx Configuration
Get NSX Configuration

Retrieves the current NSX Manager configuration. Passwords are automatically redacted from the response for security.

Request
URI
GET
https://{server}:9443/api/admin/global/config/nsx
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved NSX configuration

Returns NsxGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "nsx",
                "config": {
                    "userName": "admin",
                    "url": "https://nsx-manager.example.com",
                    "nsxuuid": "77130142-9600-c190-c074-3b2959321085",
                    "vcuuid": "52a3f5d7-8b9c-4e1d-a2f3-6b8c9d0e1f2a",
                    "vcuuids": [
                        {
                            "build": "25042376",
                            "server": "10.192.18.130",
                            "version": "9.1.0",
                            "fullName": "VMware vCenter Server 9.1.0.0.25042376",
                            "apiVersion": "9.1.0.0.0000",
                            "instanceUuid": "f1e7b2a1-51fa-401a-a3b6-8f0642bfaa57"
                        }
                    ],
                    "UUID": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                    "version": "4.1.2",
                    "auth": {
                        "authType": "BASIC"
                    },
                    "type": "NSX-T"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section nsx not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/nsx